| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IFaceEngine Struct Referenceabstract
SDK core interfaces

Root LUNA SDK object interface. More...

`#include <IFaceEngine.h>`

Inheritance diagram for fsdk::IFaceEngine:

## Public Member Functions
virtual ResultValue< FSDKError, IDetectorPtr > | createDetector (ObjectDetectorClassType type=FACE_DET_DEFAULT, SensorType mode=SensorType::Visible, const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates a detector of given type. More...
virtual ResultValue< FSDKError, IOrientationEstimatorPtr > | createOrientationEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
virtual ResultValue< FSDKError, IHumanDetectorPtr > | createHumanDetector (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates a human detector. More...
virtual ResultValue< FSDKError, IHeadPoseEstimatorPtr > | createHeadPoseEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Head pose estimator. More...
virtual ResultValue< FSDKError, IOverlapEstimatorPtr > | createOverlapEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Overlap estimator. More...
virtual ResultValue< FSDKError, IChildEstimatorPtr > | createChildEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Child estimator. More...
virtual ResultValue< FSDKError, IAGSEstimatorPtr > | createAGSEstimator (const LaunchOptions *options=nullptr) noexcept=0
| Creates AGS estimator. More...
virtual ResultValue< FSDKError, IHeadAndShouldersLivenessEstimatorPtr > | createHeadAndShouldersLivenessEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates HeadAndShouldersLiveness estimator. More...
virtual ResultValue< FSDKError, IAttributeEstimatorPtr > | createAttributeEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Attribute estimator. More...
virtual ResultValue< FSDKError, IQualityEstimatorPtr > | createQualityEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Quality estimator. More...
virtual ResultValue< FSDKError, IBlackWhiteEstimatorPtr > | createBlackWhiteEstimator () noexcept=0
| Creates Black/White estimator. More...
virtual ResultValue< FSDKError, ILivenessDepthEstimatorPtr > | createDepthEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Liveness Depth estimator. More...
virtual ResultValue< FSDKError, ILivenessIREstimatorPtr > | createIREstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Liveness Infrared estimator. More...
virtual ResultValue< FSDKError, ILivenessOneShotRGBEstimatorPtr > | createLivenessOneShotRGBEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Liveness OneShot estimator. More...
virtual ResultValue< FSDKError, IMouthEstimatorPtr > | createMouthEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Mouth estimator. More...
virtual ResultValue< FSDKError, IMedicalMaskEstimatorPtr > | createMedicalMaskEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates MedicalMask estimator. More...
virtual ResultValue< FSDKError, ILivenessFlyingFacesEstimatorPtr > | createLivenessFlyingFacesEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates LivenessFlyingFaces estimator. More...
virtual ResultValue< FSDKError, ILivenessFPREstimatorPtr > | createLivenessFPREstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates LivenessFPR estimator. More...
virtual ResultValue< FSDKError, ILivenessFlowEstimatorPtr > | createFaceFlowEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Liveness flow estimator. More...
virtual ResultValue< FSDKError, ILivenessRGBMEstimatorPtr > | createLivenessRGBMEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Liveness RGBM estimator. More...
virtual ResultValue< FSDKError, IEyeEstimatorPtr > | createEyeEstimator (SensorType mode=SensorType::Visible, const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Eye estimator. More...
virtual ResultValue< FSDKError, IEmotionsEstimatorPtr > | createEmotionsEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Emotions estimator. More...
virtual ResultValue< FSDKError, IGazeEstimatorPtr > | createGazeEstimator (SensorType mode=SensorType::Visible, const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Gaze estimator. More...
virtual ResultValue< FSDKError, IGlassesEstimatorPtr > | createGlassesEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates Glasses estimator. More...
virtual ResultValue< FSDKError, IBestShotQualityEstimatorPtr > | createBestShotQualityEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates BestShotQuality estimator. More...
virtual ResultValue< FSDKError, ICredibilityCheckEstimatorPtr > | createCredibilityCheckEstimator (const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates CredibilityCheck estimator. More...
virtual ResultValue< FSDKError, IPPEEstimatorPtr > | createPPEEstimator (const LaunchOptions *LaunchOptions=nullptr) noexcept=0
| Creates Personal Protection Equipment (PPE) estimator. More...
virtual ResultValue< FSDKError, IDescriptorPtr > | createDescriptor (uint32_t version=0) noexcept=0
| Creates Descriptor. More...
virtual ResultValue< FSDKError, IDescriptorPtr > | createDescriptor (IArchive *archive, uint32_t flags=0) noexcept=0
| Creates and loads Descriptor from Archive. More...
virtual ResultValue< FSDKError, IDescriptorBatchPtr > | createDescriptorBatch (int32_t size, uint32_t version=0) noexcept=0
| Creates Batch of descriptors. More...
virtual ResultValue< FSDKError, IDescriptorExtractorPtr > | createExtractor (uint32_t version=0, const LaunchOptions *launchOptions=nullptr) noexcept=0
| Creates descriptor extractor. More...
virtual ResultValue< FSDKError, IDescriptorMatcherPtr > | createMatcher (uint32_t version=0) noexcept=0
| Creates descriptor matcher. More...
virtual ResultValue< FSDKError, IIndexBuilderPtr > | createIndexBuilder (const size_t capacity=0, uint32_t version=0) noexcept=0
| Creates index builder. More...
virtual ResultValue< FSDKError, IDenseIndexPtr > | loadDenseIndex (const char *indexPath) noexcept=0
| Loads dense index. More...
virtual ResultValue< FSDKError, IDynamicIndexPtr > | loadDynamicIndex (const char *indexPath) noexcept=0
| Loads dynamic index. More...
virtual ResultValue< FSDKError, IWarperPtr > | createWarper () noexcept=0
| Creates warper. More...
virtual ResultValue< FSDKError, IHumanWarperPtr > | createHumanWarper () noexcept=0
| Creates human warper. More...
virtual ResultValue< FSDKError, IAsyncContextPtr > | createAsyncContext (const int8_t threadCount) noexcept=0
| Creates async context. More...
virtual FaceEngineEdition | getFaceEngineEdition () const noexcept=0
| Get LUNA SDK ditribution edition. More...
virtual void | setDataDirectory (const char *path) noexcept=0
| Sets data directory. More...
virtual const char * | getDataDirectory () const noexcept=0
| Gets data directory. More...
virtual void | setSettingsProvider (ISettingsProvider *provider) noexcept=0
| Sets settings provider. More...
virtual void | setRuntimeSettingsProvider (ISettingsProvider *provider) noexcept=0
| Sets runtime settings provider. More...
virtual ISettingsProvider * | getSettingsProvider () const noexcept=0
| Gets settings provider. More...
virtual ISettingsProvider * | getRuntimeSettingsProvider () const noexcept=0
| Gets runtime settings provider. More...
virtual ILicense * | getLicense () const noexcept=0
| Get current License object, which was set for FaceEngine object. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Root LUNA SDK object interface.

Note
  Face Engine also implements factory interface so all usual factory options apply.

## Member Function Documentation

virtual ResultValue<FSDKError, IAGSEstimatorPtr> fsdk::IFaceEngine::createAGSEstimator | ( | const LaunchOptions * | options = `nullptr` | ) |
| pure virtual noexcept

Creates AGS estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IAGSEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IAGSEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IAsyncContextPtr> fsdk::IFaceEngine::createAsyncContext | ( | const int8_t | threadCount | ) |
| pure virtual noexcept

Creates async context.

Parameters

  threadCount | Count of threads to create for internal thread pool.

Returns
  ResultValue with error code and IAsyncContextPtr instance.

See Also
  ResultValue, FSDKError, IAsyncContextPtr

virtual ResultValue<FSDKError, IAttributeEstimatorPtr> fsdk::IFaceEngine::createAttributeEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Attribute estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IAttributeEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IAttributeEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IBestShotQualityEstimatorPtr> fsdk::IFaceEngine::createBestShotQualityEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates BestShotQuality estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IBestShotQualityEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IBestShotQualityEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IBlackWhiteEstimatorPtr> fsdk::IFaceEngine::createBlackWhiteEstimator | ( |  | ) |
| pure virtual noexcept

Creates Black/White estimator.

Returns
  ResultValue with error code and IBlackWhiteEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IBlackWhiteEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IChildEstimatorPtr> fsdk::IFaceEngine::createChildEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Child estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IChildEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IChildEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ICredibilityCheckEstimatorPtr> fsdk::IFaceEngine::createCredibilityCheckEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates CredibilityCheck estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ICredibilityCheckEstimatorPtr instance.

See Also
  ResultValue, FSDKError, ICredibilityCheckEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ILivenessDepthEstimatorPtr> fsdk::IFaceEngine::createDepthEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Liveness Depth estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ILivenessDepthEstimatorPtr instance.

See Also
  ResultValue, FSDKError, ILivenessDepthEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IDescriptorPtr> fsdk::IFaceEngine::createDescriptor | ( | uint32_t | version = `0` | ) |
| pure virtual noexcept

Creates Descriptor.

face descriptor will created by default, to create human descriptor pass version, minimum version of human descriptor is DV_MIN_HUMAN_DESCRIPTOR_VERSION == 102

Returns
  ResultValue with error code and IDescriptorPtr instance.

See Also
  ResultValue, FSDKError, IDescriptorPtr, DescriptorVersion,

virtual ResultValue<FSDKError, IDescriptorPtr> fsdk::IFaceEngine::createDescriptor | ( | IArchive * | archive,
|  | uint32_t | flags = `0`
| ) |  |
| pure virtual noexcept

Creates and loads Descriptor from Archive.

Parameters

  archive | Archive with descriptor.
  flags | Archive flag.

Returns
  ResultValue with error code and IDescriptorPtr instance.

See Also
  ResultValue, FSDKError, IDescriptorPtr

virtual ResultValue<FSDKError, IDescriptorBatchPtr> fsdk::IFaceEngine::createDescriptorBatch | ( | int32_t | size,
|  | uint32_t | version = `0`
| ) |  |
| pure virtual noexcept

Creates Batch of descriptors.

face descriptor batch will be created by default, to create human descriptor batch you must pass version, minimum version of human descriptor is DV_MIN_HUMAN_DESCRIPTOR_VERSION == 102

Parameters

  [in] | size | - amount of descriptors in batch.
  [in] | version | - descriptor version in batch. If 0 - use default version from config.

Returns
  ResultValue with error code and IDescriptorBatchPtr instance.

See Also
  ResultValue, FSDKError, IDescriptorBatchPtr, DescriptorVersion

virtual ResultValue<FSDKError, IDetectorPtr> fsdk::IFaceEngine::createDetector | ( | ObjectDetectorClassType | type = `FACE_DET_DEFAULT`,
|  | SensorType | mode = `SensorType::Visible`,
|  | const LaunchOptions * | launchOptions = `nullptr`
| ) |  |
| pure virtual noexcept

Creates a detector of given type.

Parameters

  [in] | type | detector type. Supported types: FACE_DET_V1, FACE_DET_V2, FACE_DET_V3.
  [in] | mode | campera sensor type to perform detection on.
  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IDetectorPtr instance.

See Also
  ResultValue, FSDKError, IDetectorPtr, LaunchOptions

virtual ResultValue<FSDKError, IEmotionsEstimatorPtr> fsdk::IFaceEngine::createEmotionsEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Emotions estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IEmotionsEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IEmotionsEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IDescriptorExtractorPtr> fsdk::IFaceEngine::createExtractor | ( | uint32_t | version = `0`,
|  | const LaunchOptions * | launchOptions = `nullptr`
| ) |  |
| pure virtual noexcept

Creates descriptor extractor.

face descriptor extractor will created by default, to create human descriptor extractor descriptor you must pass version, minimum version of human descriptor is DV_MIN_HUMAN_DESCRIPTOR_VERSION == 102

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IDescriptorExtractorPtr instance.

See Also
  ResultValue, FSDKError, IDescriptorExtractorPtr, DescriptorVersion, LaunchOptions

virtual ResultValue<FSDKError, IEyeEstimatorPtr> fsdk::IFaceEngine::createEyeEstimator | ( | SensorType | mode = `SensorType::Visible`,
|  | const LaunchOptions * | launchOptions = `nullptr`
| ) |  |
| pure virtual noexcept

Creates Eye estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IEyeEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IEyeEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ILivenessFlowEstimatorPtr> fsdk::IFaceEngine::createFaceFlowEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Liveness flow estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ILivenessFlowEstimatorPtr instance.

See Also
  ResultValue, FSDKError, ILivenessFlowEstimatorPtr, LaunchOptions

Note
  This estimator is required only for liveness detection purposes.

virtual ResultValue<FSDKError, IGazeEstimatorPtr> fsdk::IFaceEngine::createGazeEstimator | ( | SensorType | mode = `SensorType::Visible`,
|  | const LaunchOptions * | launchOptions = `nullptr`
| ) |  |
| pure virtual noexcept

Creates Gaze estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IGazeEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IGazeEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IGlassesEstimatorPtr> fsdk::IFaceEngine::createGlassesEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Glasses estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IGlassesEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IGlassesEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IHeadAndShouldersLivenessEstimatorPtr> fsdk::IFaceEngine::createHeadAndShouldersLivenessEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates HeadAndShouldersLiveness estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IHeadAndShouldersLivenessEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IHeadAndShouldersLivenessEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IHeadPoseEstimatorPtr> fsdk::IFaceEngine::createHeadPoseEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Head pose estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IHeadPoseEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IHeadPoseEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IHumanDetectorPtr> fsdk::IFaceEngine::createHumanDetector | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates a human detector.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IHumanDetectorPtr instance.

See Also
  ResultValue, FSDKError, IHumanDetectorPtr, LaunchOptions

virtual ResultValue<FSDKError, IHumanWarperPtr> fsdk::IFaceEngine::createHumanWarper | ( |  | ) |
| pure virtual noexcept

Creates human warper.

Returns
  ResultValue with error code and IHumanWarperPtr instance.

See Also
  ResultValue, FSDKError, IHumanWarperPtr

virtual ResultValue<FSDKError, IIndexBuilderPtr> fsdk::IFaceEngine::createIndexBuilder | ( | const size_t | capacity = `0`,
|  | uint32_t | version = `0`
| ) |  |
| pure virtual noexcept

Creates index builder.

Parameters

  capacity | - Allocate space for this number of descriptors.
  version | - Descriptor version in batch. If 0 - use default version from config.

Returns
  ResultValue with error code and IIndexBuilderPtr instance.

See Also
  ResultValue, FSDKError, IIndexBuilderPtr, DescriptorVersion

virtual ResultValue<FSDKError, ILivenessIREstimatorPtr> fsdk::IFaceEngine::createIREstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Liveness Infrared estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ILivenessIREstimatorPtr instance.

See Also
  ResultValue, FSDKError, ILivenessIREstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ILivenessFlyingFacesEstimatorPtr> fsdk::IFaceEngine::createLivenessFlyingFacesEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates LivenessFlyingFaces estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ILivenessFlyingFacesEstimatorPtr instance.

See Also
  ResultValue, FSDKError, ILivenessFlyingFacesEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ILivenessFPREstimatorPtr> fsdk::IFaceEngine::createLivenessFPREstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates LivenessFPR estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ILivenessFPREstimatorPtr instance.

See Also
  ResultValue, FSDKError, ILivenessFPREstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ILivenessOneShotRGBEstimatorPtr> fsdk::IFaceEngine::createLivenessOneShotRGBEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Liveness OneShot estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  Oneshot liveness estimator if succeed, nullptr if failed.

See Also
  ResultValue, FSDKError, ILivenessOneShotRGBEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, ILivenessRGBMEstimatorPtr> fsdk::IFaceEngine::createLivenessRGBMEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Liveness RGBM estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and ILivenessRGBMEstimatorPtr instance.

See Also
  ResultValue, FSDKError, ILivenessRGBMEstimatorPtr, LaunchOptions

Note
  This estimator is required only for liveness detection purposes.

virtual ResultValue<FSDKError, IDescriptorMatcherPtr> fsdk::IFaceEngine::createMatcher | ( | uint32_t | version = `0` | ) |
| pure virtual noexcept

Creates descriptor matcher.

face descriptor matcher will created by default, to create human descriptor matcher you must pass version, minimum version of human descriptor is DV_MIN_HUMAN_DESCRIPTOR_VERSION == 102

See Also
  fsdk::DescriptorVersion

Returns
  ResultValue with error code and IDescriptorMatcherPtr instance.

See Also
  ResultValue, FSDKError, IDescriptorMatcherPtr

virtual ResultValue<FSDKError, IMedicalMaskEstimatorPtr> fsdk::IFaceEngine::createMedicalMaskEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates MedicalMask estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IMedicalMaskEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IMedicalMaskEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IMouthEstimatorPtr> fsdk::IFaceEngine::createMouthEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Mouth estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IMouthEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IMouthEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IOverlapEstimatorPtr> fsdk::IFaceEngine::createOverlapEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Overlap estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IOverlapEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IOverlapEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IPPEEstimatorPtr> fsdk::IFaceEngine::createPPEEstimator | ( | const LaunchOptions * | LaunchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Personal Protection Equipment (PPE) estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IPPEEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IPPEEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IQualityEstimatorPtr> fsdk::IFaceEngine::createQualityEstimator | ( | const LaunchOptions * | launchOptions = `nullptr` | ) |
| pure virtual noexcept

Creates Quality estimator.

Parameters

  [in] | launchOptions | launch options for fine grained control over target device resources.

Returns
  ResultValue with error code and IQualityEstimatorPtr instance.

See Also
  ResultValue, FSDKError, IQualityEstimatorPtr, LaunchOptions

virtual ResultValue<FSDKError, IWarperPtr> fsdk::IFaceEngine::createWarper | ( |  | ) |
| pure virtual noexcept

Creates warper.

Returns
  ResultValue with error code and IWarperPtr instance.

See Also
  ResultValue, FSDKError, IWarperPtr

virtual const char* fsdk::IFaceEngine::getDataDirectory | ( |  | ) | const
| pure virtual noexcept

Gets data directory.

By default is set to "./data".

Returns
  path to data directory.

virtual FaceEngineEdition fsdk::IFaceEngine::getFaceEngineEdition | ( |  | ) | const
| pure virtual noexcept

Get LUNA SDK ditribution edition.

Returns
  Edition of LUNA SDK instance. Posible values:
  - CompleteEdition - full edition with all function.
  - FrontEndEdition - short edition with excluded descriptor functions. Extractor, matcher, descriptor, batch and index cannot be created.

virtual ILicense* fsdk::IFaceEngine::getLicense | ( |  | ) | const
| pure virtual noexcept

Get current License object, which was set for FaceEngine object.

Returns
  pointer to current license object, nullptr if no any license was set to.

virtual ISettingsProvider* fsdk::IFaceEngine::getRuntimeSettingsProvider | ( |  | ) | const
| pure virtual noexcept

Gets runtime settings provider.

Returns
  runtime settings provider.

virtual ISettingsProvider* fsdk::IFaceEngine::getSettingsProvider | ( |  | ) | const
| pure virtual noexcept

Gets settings provider.

Returns
  settings provider.

virtual ResultValue<FSDKError, IDenseIndexPtr> fsdk::IFaceEngine::loadDenseIndex | ( | const char * | indexPath | ) |
| pure virtual noexcept

Loads dense index.

Note
  Only indexes saved as dense are to be loaded as dense.

Parameters

  indexPath | Path to index to be loaded.

Returns
  ResultValue with error code and IDenseIndexPtr instance.

See Also
  ResultValue, FSDKError, IDenseIndexPtr

virtual ResultValue<FSDKError, IDynamicIndexPtr> fsdk::IFaceEngine::loadDynamicIndex | ( | const char * | indexPath | ) |
| pure virtual noexcept

Loads dynamic index.

Note
  Only indexes saved as dynamic are to be loaded as dynamic.

Parameters

  indexPath | Path to index to be loaded.

Returns
  ResultValue with error code and IDynamicIndexPtr instance.

See Also
  ResultValue, FSDKError, IDynamicIndexPtr

virtual void fsdk::IFaceEngine::setDataDirectory | ( | const char * | path | ) |
| pure virtual noexcept

Sets data directory.

Parameters

  [in] | path | path to data directory.

virtual void fsdk::IFaceEngine::setRuntimeSettingsProvider | ( | ISettingsProvider * | provider | ) |
| pure virtual noexcept

Sets runtime settings provider.

Parameters

  [in] | provider | runtime settings provider.

virtual void fsdk::IFaceEngine::setSettingsProvider | ( | ISettingsProvider * | provider | ) |
| pure virtual noexcept

Sets settings provider.

Parameters

  [in] | provider | settings provider.

The documentation for this struct was generated from the following file:

- include/fsdk/IFaceEngine.h